package nckd.jxccl.hr.tsc.plugin.form;

import kd.bos.form.ShowType;
import kd.bos.form.container.Tab;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.list.ListShowParameter;
import kd.sdk.plugin.Plugin;

import java.util.EventObject;

/**
 * 我要应聘动态表单插件
 * @author turborao
 * 时间 2026/1/13 16:05
 */
@SuppressWarnings("unused")
public class HomePageApplyExtFormPlugin extends AbstractFormPlugin implements Plugin {

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        setAnnouncementPage();
    }

    private void setAnnouncementPage() {
        ListShowParameter lsp = new ListShowParameter();
        lsp.setBillFormId("nckd_announcement_p");
        lsp.getOpenStyle().setShowType(ShowType.InContainer);
        lsp.getOpenStyle().setTargetKey("nckd_flexpanelap");
        this.getView().showForm(lsp);
    }
}